# Copyright (C) 2010 Thomson Reuters
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

import subprocess, os

from bzrlib.commands import Command
from bzrlib.option import RegistryOption, Option

from bzrlib.plugins.tfs.vcsclient import TfsRepositoryWrapper

class cmd_tfs_workspaces(Command):
    """Obtain a list of workspaces"""

    takes_args = ["server"]

    def run(self, server):
        r = TfsRepositoryWrapper(server)
        workspaces = r.list_workspaces()
        for w in workspaces:
            self.outf.write(str(w)+'\n')


class cmd_tfs_serverinfo(Command):
    """Display basic information about the TFS server"""

    takes_args = ["server"]

    def run(self, server):
        r = TfsRepositoryWrapper(server)
        info = r.server_version()
        self.outf.write(str(info)+'\n')

class cmd_tfs_permissions(Command):
    """Determine user permissions on the TFS server"""

    takes_args = ["server"]

    def run(self, server):
        r = TfsRepositoryWrapper(server)
        pass
        #info = r.server_version()
        #self.outf.write(str(info)+'\n')
